# QStyleOptionTab Class Reference

### [com.trolltech.qt.gui package]

Inherits QStyleOption.

### Constructor

- void QStyleOptionTab()
- void QStyleOptionTab(QStyleOptionTab other)

### Constructor Properties

- prototype: The QStyleOptionTab prototype object
- Version = 1
- StyleOptionVersion( value )
- NoCornerWidgets = 0x00
- LeftCornerWidget = 0x01
- RightCornerWidget = 0x02
- CornerWidget( value )
- CornerWidgets( value1, value2, ... )
- Beginning
- Middle
- End
- OnlyOneTab
- TabPosition( value )
- NotAdjacent
- NextIsSelected
- PreviousIsSelected
- SelectedPosition( value )
- Type = SO_Tab
- StyleOptionType( value )

### Instance Properties

QStyleOptionTab objects have no special properties beyond those inherited from the QStyleOptionTab prototype object.